require_relative '../utils/capitalize'

class FoodController
  def initialize(food_views, food_repo) 
    @food_views = food_views
    @food_repo = food_repo
  end 

  def index 
    @food_views.index(@food_repo.database)
  end 

  def new 
    results = @food_views.new
    create(results)
  end 

  def create(results) 
    name, color = capitalize(results)
    id = Food.get_id(@food_repo)
    @food_repo.add(Food.new(id, name, color))
  end 

  def menu 
    @food_views.menu
  end 

  def input_error 
    @food_views.input_error
  end 
end